Autor Thema: wxGTK-2.4.0 bauen?  (Gelesen 2442 mal)

Lars

  • Gast
wxGTK-2.4.0 bauen?
« am: 29. Mai 2003, 16:39:12 »
Hi!

Ich bin hier fast am verzweifeln. Wollte wxGTK-2.4.0 auf meiner Octane bauen, und der Compiler steigt quasi unmittelbar nach Start von gmake aus...

Bevor ich jetzt hier sämtliche Diag-Infos poste: Hat das irgendwer schon mal versucht bzw. war dabei auch erfolgreich :) ?

Zur Info: OS ist IRIX 6.5.20m und ich habs mit gcc 3.2.2 und 3.04 versucht.

So, zum kroenenden Abschluss noch mal die Ausgabe von gmake:

c++ -c   -I./lib/wx/include/gtk-2.4 -I./include -I./src/jpeg -I./src/tiff -I/usr/freeware/include/gtk-1.2 -I/usr/freeware/include/glib-1.2 -I/usr/freeware/lib32/glib/include -D_REENTRANT -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES    -D__WXGTK__ -DGTK_NO_CHECK_CASTS -O2 -MMD -pthread -Wall -fPIC -o accel.o ./src/generic/accel.cpp
c++: unrecognized option `-pthread'
In file included from include/wx/gtk/cursor.h:23,
                from include/wx/cursor.h:9,
                from include/wx/event.h:25,
                from src/generic/accel.cpp:33:
include/wx/image.h:100: ISO C++ forbids declaration of `ptrdiff_t' with no type
include/wx/image.h:100: parse error before `;' token
gmake: *** [accel.o] Error 1

Hab mir die Quellen angeguckt, sieht aber recht gut aus, fuer jemanden, der nicht gerade c++ guru ist ...

Viele Gruesse,

Lars

mood-indigo.org - Das unabhängige Silicon Graphics User Forum

wxGTK-2.4.0 bauen?
« am: 29. Mai 2003, 16:39:12 »